
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>技术派：优酷土豆用Spark完善大数据分析 / iVAN</title>

    <meta name="description" content="技术派：优酷土豆用Spark完善大数据分析 大数据,一个似乎已经被媒体传播的过于泛滥的词汇,的的确确又在逐渐影响和改变着我们的生活.也许有人认为大数据在中国仍然只是噱头,但在当前中国互联网领域,大数据以及大数据所催生出来的生产力正在潜移默化地推动业务发展,并为广大中国网民提供更加优秀的服务.优酷土豆作为国内最大的视频网站,和国内其他互联网巨头一样,率先看到大数据对公司业务的价值,早在2009年就开始使用Hadoop集群,随着这些年业务迅猛发展,优酷土豆又率先尝试了仍处于大数据前沿领域的Spark/Shark 内存计算框架,很好地解决了机器">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">技术派：优酷土豆用Spark完善大数据分析</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><img src="/assets/blank.gif" data-echo="http://read.html5.qq.com/image?src=forum&amp;q=5&amp;r=0&amp;imgflag=7&amp;imageUrl=http://essay.b0.upaiyun.com/1747/346378/0.jpg"></p>
<p>大数据，一个似乎已经被媒体传播的过于泛滥的词汇，的的确确又在逐渐影响和改变着我们的生活。也许有人认为大数据在中国仍然只是噱头，但在当前中国互联网领域，大数据以及大数据所催生出来的生产力正在潜移默化地推动业务发展，并为广大中国网民提供更加优秀的服务。优酷土豆作为国内最大的视频网站，和国内其他互联网巨头一样，率先看到大数据对公司业务的价值，早在2009年就开始使用Hadoop集群，随着这些年业务迅猛发展，优酷土豆又率先尝试了仍处于大数据前沿领域的Spark/Shark 内存计算框架，很好地解决了机器学习和图计算多次迭代的瓶颈问题，使得公司大数据分析更加完善。</p>
<p><strong>MapReduce之痛</strong></p>
<p>提到大数据，自然不能不提Hadoop。HDFS已然成为大数据公认的存储，而MapReduce作为其搭配的数据处理框架在大数据发展的早期表现出了重大的价值。可由于其设计上的约束MapReduce只适合处理离线计算，其在实时性上仍有较大的不足，随着业务的发展，业界对实时性和准确性有更多的需求，很明显单纯依靠MapReduce框架已经不能满足业务的需求了。</p>
<p>优酷土豆集团大数据团队技术总监卢学裕就表示：“现在我们使用Hadoop处理一些问题诸如迭代式计算，每次对磁盘和网络的开销相当大。尤其每一次迭代计算都将结果要写到磁盘再读回来，另外计算的中间结果还需要三个备份，这其实是浪费。”</p>
<p><img src="/assets/blank.gif" data-echo="http://read.html5.qq.com/image?src=forum&amp;q=5&amp;r=0&amp;imgflag=7&amp;imageUrl=http://essay.b0.upaiyun.com/1747/346378/1.jpg"></p>
<p>图一：Hadoop中的数据传送与共享，串行方式、复制以及磁盘IO等因素使得Hadoop集群在低延迟、实时计算方面表现有待改进。</p>
<p>据悉，优酷土豆的Hadoop大数据平台是从2009年开始采用，最初只有10多个节点，2012年集群节点达到150个，2013年更是达到300个，每天处理数据量达到200TB。优酷土豆鉴于Hadoop集群已经逐渐胜任不了一些应用，于是决定引入Spark/Shark内存计算框架，以此来满足图计算迭代等的需求。</p>
<p>Spark是一个通用的并行计算框架，由伯克利大学的AMP实验室开发，Spark已经成为继Hadoop之后又一大热门开源项目，目前已经有英特尔等企业加入到该开源项目。</p>
<p><img src="/assets/blank.gif" data-echo="http://read.html5.qq.com/image?src=forum&amp;q=5&amp;r=0&amp;imgflag=7&amp;imageUrl=http://essay.b0.upaiyun.com/1747/346378/2.jpg"></p>
<p>图二：Spark内存计算框架使得数据共享比网络和磁盘快10倍到100倍。</p>
<p>“我们大数据平台对快速需求的响应延时，尤其是在商业智能BI以及产品研究分析等需要多次对大数据做Drill Down与Drill Up时，等待成了效率杀手。” 优酷土豆集团大数据团队技术总监卢学裕表示。</p>
<p><strong>用Spark/Shark完善大数据分析</strong></p>
<p>目前大数据在互联网公司主要应用在广告、报表、推荐系统等业务上。在广告业务方面需要大数据做应用分析、效果分析、定向优化等，在推荐系统方面则需要大数据优化相关排名、个性化推荐以及热点点击分析等。优酷土豆属于典型的互联网公司，目前运用大数据分析平台的主要工作是运营分析、机器学习、广告定向优化、搜索优化等方面。</p>
<p>优酷土豆集团大数据团队技术总监卢学裕表示：“优酷土豆的大数据平台已经用了很多年，突出问题主要包括：第一是商业智能BI方面，公司的分析师提交任务之后需要等待很久才得到结果；第二就是大数据量计算，比如进行一些模拟广告投放之时，计算量非常大的同时对效率要求也比较高，用Hadoop消耗资源非常大而且响应比较慢；最后就是机器学习和图计算的迭代运算也是需要耗费大量资源且速度很慢。”</p>
<p>因此，面对复杂任务、交互式查询以及流在线处理时，Hadoop与MapReduce并不适用。Spark/Shark这种内存型计算框架则比较适合各种迭代算法和交互式数据分析，可每次将弹性分布式数据集（RDD）操作之后的结果存入内存中，下次操作可直接从内存中读取，省去了大量的磁盘IO，效率也随之大幅提升。优酷土豆集团大数据团队大数据平台架构师傅杰表示：“一些应用场景并不适合在MapReduce里面去处理。通过对比，我们发现Spark性能比MapReduce提升很多。”</p>
<p><img src="/assets/blank.gif" data-echo="http://read.html5.qq.com/image?src=forum&amp;q=5&amp;r=0&amp;imgflag=7&amp;imageUrl=http://essay.b0.upaiyun.com/1747/346378/3.jpg"></p>
<p>图三：Spark/Shark内存计算框架实时日志聚合处理。</p>
<p>“比如在图计算方面，视频与视频之间存在的相似关系，这就构成了一个图谱，通过图谱来做聚类，再给用户做视频推荐。” 优酷土豆集团大数据团队技术总监卢学裕表示。</p>
<p><img src="/assets/blank.gif" data-echo="http://read.html5.qq.com/image?src=forum&amp;q=5&amp;r=0&amp;imgflag=7&amp;imageUrl=http://essay.b0.upaiyun.com/1747/346378/4.jpg"></p>
<p>图四：图计算分析N度关联算法示意图。</p>
<p>优酷土豆集团大数据团队技术总监卢学裕表示：“我们进行过图计算方面的测试，在4台节点的Spark集群上用时只有5.6分钟，而同规模的数据量，单机实现需要80多分钟，并且内存吃满，单机无法实现Scale-Out，不能计算更大规模数据。”</p>
<p>“在今天，数据处理要求非常快。比如优酷土豆的一些客户、广告商往往临时就需要看一下投放效果。所以在前端应用不变的情况下，如果能更快的响应市场的需要就变得很有竞争力。市场是瞬息万变的，有一些分析结果也需要快速响应成一个产品，Spark集成到数据平台正能发挥这样的效果。” 优酷土豆集团大数据团队大数据平台架构师傅杰补充道。</p>
<p>据了解，优酷土豆采用Spark/Shark大数据计算框架得到了英特尔公司的帮助，起初优酷土豆并不熟悉Spark以及Scala语言，英特尔帮助优酷土豆设计出具体符合业务需求的解决方案，并协助优酷土豆实现了该方案。此外，英特尔还给优酷土豆的大数据团队进行了Scala语言、Spark的培训等。</p>
<p>“优酷土豆作为国内视频行业第一家商用部署Spark/Shark方案的公司，从视频行业的多样化分析角度来看是个非常好的方案。未来，英特尔将会继续与优酷土豆在Spark/Shark进行合作，包括硬件配置的优化以及整体方案的优化等”英特尔（中国）有限公司销售市场部互联网及媒体行业企业客户经理李志辉介绍道。</p>
<p><strong>未来：将Spark/Shark融入到Hadoop 2.0</strong></p>
<p><strong></strong></p>
<p>对于大数据而言，Hadoop已经构建完成了较为完善的生态系统，特别是Hadoop 2.0版本在今年推出之后，改善了诸多缺点。而Spark/Shark计算框架其实与Hadoop并不冲突，Spark现在已经可以直接运行在Yarn的框架之上，成为Hadoop生态系统之中不可或缺的成员。</p>
<p><img src="/assets/blank.gif" data-echo="http://read.html5.qq.com/image?src=forum&amp;q=5&amp;r=0&amp;imgflag=7&amp;imageUrl=http://essay.b0.upaiyun.com/1747/346378/5.jpg"></p>
<p>图五：Spark On Yarn 。</p>
<p>优酷土豆集团大数据团队大数据平台架构师傅杰表示：“目前Hadoop 2.0已经发布了release版本，我们已经启动了对Hadoop 2.0的升级预演。这中间还涉及到我们在1.0版本上修改的一些特性需要迁移和验证，我们希望做到在不影响业务的情况下实现平滑升级，预计在明年Q1完成升级。Hadoop 2.0将会是非常强大的，不再仅仅是MapReduce，还能融入Spark，能够让用户可以根据数据处理应用需求的不同来选择合适的计算框架。”</p>
<p><b>原文发布时间为：2013-12-31</b></p>
<p><b><br /></b></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 14:25:08</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%a3%81%e7%9b%98/" title="磁盘">磁盘</a>, <a href="https://www.iamivan.net/tag/%e4%ba%92%e8%81%94%e7%bd%91/" title="互联网">互联网</a>, <a href="https://www.iamivan.net/tag/%e9%9b%86%e7%be%a4/" title="集群">集群</a>, <a href="https://www.iamivan.net/tag/%e5%a4%a7%e6%95%b0%e6%8d%ae/" title="大数据">大数据</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a8%e8%8d%90%e7%b3%bb%e7%bb%9f/" title="推荐系统">推荐系统</a>, <a href="https://www.iamivan.net/tag/hadoop/" title="hadoop">hadoop</a>, <a href="https://www.iamivan.net/tag/spark/" title="spark">spark</a>, <a href="https://www.iamivan.net/tag/%e5%a4%a7%e6%95%b0%e6%8d%ae%e5%88%86%e6%9e%90/" title="大数据分析">大数据分析</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%a4%84%e7%90%86/" title="数据处理">数据处理</a>, <a href="https://www.iamivan.net/tag/mapreduce/" title="Mapreduce">Mapreduce</a>, <a href="https://www.iamivan.net/tag/%e5%b9%b3%e5%8f%b0%e6%9e%b6%e6%9e%84/" title="平台架构">平台架构</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>技术派：优酷土豆用Spark完善大数据分析的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdLwm4p.html" rel="bookmark">优酷土豆周三开盘后大涨，最大涨幅超10&percnt;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				优酷土豆(NYSE: YOKU )周三开盘后大涨,最大涨幅超10%.截至北京时间21点50分,优酷土豆涨幅为6.85%,报29.65美元. 今日午间,消息人士透露,腾讯一直在寻求视频方面的网站投资,今日有传闻称已经敲定优酷,虽然官方均不予评论,但有腾讯高层及优酷高层均透露&quot;不靠谱&quot;.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkJdRoM.html" rel="bookmark">优酷土豆周三开盘后大涨</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要: 查看最新行情 优酷土豆周三收盘股价上涨3% 北京时间3月27日凌晨消息, 优酷土豆 (NYSE: YOKU )周三开盘后大涨,最大涨幅一度超过10%.截至收盘,优酷土豆涨幅为3.32%,报28.67美元. 周三 查看最新行情 优酷土豆周三收盘股价上涨3% 北京时间3月27日凌晨消息,优酷土豆(NYSE: YOKU )周三开盘后大涨,最大涨幅一度超过10%.截至收盘,优酷土豆涨幅为3.32%,报28.67美元. 周三消息人士透露,腾讯一直在寻求视频方面的网站投资,有传闻称已经敲定优酷,虽然			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyPydvb.html" rel="bookmark">优酷土豆集团古永锵：2013年将是移动视频营销元年</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				移动互联网时代已经来临,移动视频还会远吗? &quot;2013年将是移动视频营销元年.&quot;在优酷土豆上海召开的2013年资源推介会上,优酷土豆集团CEO古永锵给出了肯定的答案. 这并不是随心之言.根据优酷土豆集团公布的2012年第三季度未经审计的财务报告显示,优酷土豆集团移动端的流量占到总访问量的20%.这个比例足以成为任何一家公司将其迅速变为主营业务的理由. 拦路虎依然是商业模式.爱奇艺CEO龚宇曾说,视频行业至少还要烧两年钱,盈利要到2014年.而优酷土豆集团此时涉足移动视频业务,究竟是再一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEQLkAb.html" rel="bookmark">《新周刊》揭晓2014年中国视频榜&comma;优酷土豆成大赢家</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中新网3月18日电 2015年3月15日,&lt;新周刊&gt;揭晓了2014年中国视频榜,优酷土豆集团可谓这一届的大赢家,一共包揽11项大奖. 其中,优酷土豆封获 &quot;年度视频播出平台&quot;:被誉为2014 中国视频界首次跨平台全网盘点的&quot;优酷全视频之夜&quot;获得&quot;年度视频品牌&quot;:网剧&lt;报告老板!&gt;获得&quot;年度网剧&quot;称号:土豆自制综艺&lt;土豆头条新年联欢会&gt;用互联网的方式做春晚,获得&quot;年度综艺节目&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvJJBaM.html" rel="bookmark">优酷土豆集团成立：两者如何通过糅合来实现双赢</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 纽约时间2012年7月17日,优酷向美国证监会(SEC)提交的关于Form F-4的登记说明开始生效,SEC已批准了优酷土豆的合并协议. 8月20日优酷土豆合并方案在香港召开的双方股东大会高票批准通过,优酷土豆集团公司正式诞生. 优酷土豆签订合并协议 优酷.土豆双方已经于2012年3月11日签订最终协议,优酷和土豆将以100%换股的方式合并.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkVDEwM.html" rel="bookmark">优酷土豆集团转势为时还早：土豆仍在拖后腿</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中国概念股多数上涨.其中优酷土豆在上周三盘中大涨了9.2%,引来不少关注. 优酷与土豆合并已经一年了.两家公司之前一直处于烧钱状态,现在集团依然在烧钱.大多数人在去年其合并之时认为,优酷土豆的合并短期不佳,但长期乐观.现在股票大涨,莫非是乐观的时候到来了? 此前,http://www.aliyun.com/zixun/aggregation/36316.html&quot;&gt;优酷土豆集团宣布对集团.优酷和土豆网的组织架构和分工进行调整,实现集团 BU化(Business Unit) .市场对优酷土豆			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBd3ykp.html" rel="bookmark">优酷土豆转势为时还早集团依然在烧钱状态</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;投资者报&gt;记者 邓小波中国概念股多数上涨.其中优酷土豆在上周三盘中大涨了9.2%,引来不少关注.优酷与土豆合并已经一年了.两家公司之前一直处于烧钱状态,现在集团依然在烧钱.大多数人在去年其合并之时认为,优酷土豆的合并短期不佳,但长期乐观.现在股票大涨,莫非是乐观的时候到来了?此前,优酷土豆集团宣布对集团.优酷和土豆网的组织架构和分工进行调整,实现集团 BU化(Business Unit) .市场对优酷土豆的协同效应的讨论,一直没有停止过.优酷土豆集团董事长兼CEO古永锵曾表示:&quot;优			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx5JLOp.html" rel="bookmark">古永锵角色微调：探索优酷土豆集团多元化业务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 SEO诊断 淘宝客 云主机 技术大厅 新浪科技讯 4月12日消息,本周优酷土豆集团管理层迎来大调整后,优酷土豆集团董事长兼CEO古永锵和首席营销官董亚卫今日在上海接受了新浪科技专访.古永锵表示,随着优酷土豆集团的发展,今后他管具体事务时间比例会降低,主抓集团化层面事务,同时探索包括移动视频在内的新产品业务和营销模式. 本周三,优酷土豆集团迎来合并后的一次重大人事调整和整合,优酷土豆宣布魏明升任优酷总裁,全面负责优酷的内容.市场和优酷产品开发团队,优酷产品开发团队向魏明汇报,同时虚线向首			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmdO5jM.html" rel="bookmark">优酷土豆集团宣布架构调整引入工作室制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3月6日消息,优酷土豆集团宣布进行新一轮组织架构调整,正式成立合一文化BU(Business Unit,业务单元)和创新营销BU,同时还将成立成立电影.游戏.动漫.音乐.教育等9大中心,并引入独立结算的工作室制,计划在2015年形成20个以上自有或合作的内容工作室.   BU方面,合一文化聚焦在电视剧产业的制作和投资,以及创新型网生内容的制作,由集团首席内容官朱向阳兼任CEO.而创新营销BU重在加快推动实现&quot;收入多元化&quot;的战略目标,建立基于互联网的营销创新业务模式,由集团首席营销官(C			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAr5np.html" rel="bookmark" class="title">android-微信分享纯图片，点击跳转链接</a>
					<div>
						问题描述 微信分享纯图片,点击跳转链接 求教android使用微信分享纯图片给好友,怎样设置点击图片跳转链接而不是查看大图. 看到gif快手能够实现,但是微信的开发文档中没有相关说明,求高手指教. 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQLxwz.html" rel="bookmark" class="title">Java变量的缺省（默认）值－－只有类的instance变量和static变量才有</a>
					<div>
						变量   JVM将为类的instance和static变量赋上缺省值(默认值),包括数组array中的每一个元素--而不用再写初始化赋值语句. 切记:局部变量是没有缺省值的,必须手动初始化! 这一缺省 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo0dBM.html" rel="bookmark" class="title">用&amp;amp&semi;&num;106avascript绘图&mdash;JS2D函数集</a>
					<div>
						js|函数 &lt;script Language=&quot;javascript&quot;&gt;&lt;br /&gt;/****************** JS2D函数集  ******* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7mL5M.html" rel="bookmark" class="title">ASP&period;NET2&period;0的新特性&colon;将一个 ASP&period;NET 网页发送到另一页之方法</a>
					<div>
						asp.net|网页 一:实现IButtonControl接口的所有控件都可以传送页面: 比如: Button.LinkButton 或 ImageButton 设置如下: &lt;asp:Butto ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boy46p.html" rel="bookmark" class="title">PS图片合成教程&colon;绿色透明气泡组成的心形</a>
					<div>
						效果图的心形基本上都是由一个气泡复制叠加而成.因此教程的重点就是气泡的制作.过程也比较简单,设置好光源方向后,慢慢渲染泡泡的高光和暗调等部分,制作的时候用黑白效果即可.最终效果 1.新建一个1024  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjBY5b.html" rel="bookmark" class="title">实战从需求文档到设计文档的书写规范（一）</a>
					<div>
						1.前言 本文有两个目的:实现每晚构建平台和探讨一个软件从需求文档到设计文档的书写规范. 每晚构建是软件研发管理中极具价值的手段,对于加快发现和改正缺陷,降低集成风险,提高产品质量,加强成员沟通与协作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRkVap.html" rel="bookmark" class="title">Ceb解除打印屏蔽实战</a>
					<div>
						一.正文 最近突然迷上自制操作系统了(实际上是想挑战下自己),但是总觉得资料不够.买吧我 一个穷VC程序员手上没几两银子,下电子书吧--我想经常去免费下书站的同 仁们应该知道那是什么感觉.偏偏在某一系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvVX5M.html" rel="bookmark" class="title">初学Delphi嵌入汇编&lbrack;7&rsqb;</a>
					<div>
						//在汇编中使用常量 var a: Integer; const n = $10; begin asm mov ecx, 10 {使用十进制常数} mov a, ecx end; ShowMessag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAAovb.html" rel="bookmark" class="title">Contoso学习：使用EF Code First创建MVC应用</a>
					<div>
						Contoso 大学 Web 示例应用演示了如何使用 EF 技术创建 ASP.NET MVC 应用.示例中的 Contoso 大学是虚构的.应用包括了类似学生注册.课程创建以及教师分配等功能. 这个系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A3O6p.html" rel="bookmark" class="title">Windows 8&period;1最新曝光Kiosk模式</a>
					<div>
						  在bulid 9369之后,又一个最新版本Windows 8.1 bulid 9374日前泄漏在网上,在这个版本中我们看到了传说中的Kiosk模式. Kiosk模式 Kiosk模式将会更多地用在企 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx2eZb.html" rel="bookmark" class="title">手机2345浏览器怎么设置为默认浏览器</a>
					<div>
						  1)点击打开[2345浏览器],然后点击最下方中间的[三横];(如下图)     2)点击[基本设置]然后点击下方的[设为默认浏览器];(如下图)     3)点击[开始设置],然后点击[2345 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJKX2p.html" rel="bookmark" class="title">划分IP地址的方法</a>
					<div>
						我们每台电脑联网都有相对应的IP地址,如果用户不知道自己的ip地址,可以直接在百度上查找ip地址即可.可以使ip地址这么多,我们怎么识别ip呢.如何划分ip地址呢.这就是今天小编要介绍的内容了. 现在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7YoxM.html" rel="bookmark" class="title">开机出现reboot and select proper boot device解决方法</a>
					<div>
						  开机出现reboot and select proper boot device解决方法: 开机出现reboot and select proper boot device or Insert b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oyxqb.html" rel="bookmark" class="title">如何查看xp系统电脑里保存的wifi密码教程</a>
					<div>
						  1.我们用鼠标点击自己电脑的开始菜单,打开的菜单中有很多的选项,我们选择控制面板选择打开. 2.选择打开就会弹出控制面板的窗口,窗口中有很多的图标,我们选择&quot;网络连接&quot;图标选项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJ4G2p.html" rel="bookmark" class="title">java&period;math&period;BigInteger cannot be cast to java&period;lang&period;Long</a>
					<div>
						mysql数据库 Biginteger 转换为Long类型时的错误 hibernate 的createSQLQuery(&quot;select count(*) from orders&quot;) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badVGPz.html" rel="bookmark" class="title">程序猿&lpar;媛&rpar;们注意啦！Git、SVN、Mercurial版本控制系统被爆远程命令执行漏洞</a>
					<div>
						近日,三款主流的源版本控制系统Git.Subversion (svn).Mercurial,发布了更新补丁,修复了一个客户端代码执行漏洞. 恶意的攻击者可以向受害者发送一条精心构造的ssh:// UR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaNvkz.html" rel="bookmark" class="title">WinRAR5&period;0正式版发布</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   WinRAR是一款强大的压缩文件管理器,它提供了RAR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kVLoM.html" rel="bookmark" class="title">为什么我们要使用ssh框架技术，及感想</a>
					<div>
						前言:       在公司从C++转向Java Web方向大概有3个月(11月初-1月底)了.三个月前对Java和Web还几乎是零基础.然后从安装Eclipse,MySQL,tomcat开始,到学习H ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPoq8p.html" rel="bookmark" class="title">C&num;中的Session</a>
					<div>
						一: 网站开发中,为了保存用户信息我们就会用到session. Session具有以下特点: (1)Session中的数据保存在服务器端: (2)Session中可以保存任意类型的数据: (2)Ses ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2R8okb.html" rel="bookmark" class="title">代码-C&num;中StreamReader问题，如何读取同一个局域网的&period;txt文件</a>
					<div>
						问题描述 C#中StreamReader问题,如何读取同一个局域网的.txt文件 A电脑和B电脑在同一个局域网,A电脑如何能读取B电脑的.txt文件.如果有代码的更好.谢谢大家啦!!!! 解决方案 用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd0OJb.html" rel="bookmark" class="title">Beanstalkd队列 概述</a>
					<div>
						本文对beanstalkd的介绍简短精炼,适合初次接触消息队列并想使用beanstalk的人.在我看过的一些介绍资料里,这篇文章介绍地最为精炼,本文大多内容修改自它:P.我也是第一次接触消息队列,使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rqY7z.html" rel="bookmark" class="title">postgresql 定时收集表和索引统计信息</a>
					<div>
						--由于pg中表和索引的信息收集都是基于时间点的,对于以往的信息无法与现在的信息进行对比,故写下此工具进行统计信息收集 --创建数据信息的schema create schema db_stat; - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYojdp.html" rel="bookmark" class="title">手机百度书签在哪里添加 手机百度怎么添加书签</a>
					<div>
						1,在手机中我们进入到百度然后打开一个网站或搜索一个网站,如下所示: 2,然后在进入网站之后我们如图所示有一个三图标,我们点击即可&quot;添加书签&quot;即可,如下图所示: 3,最后返回到手机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKXQ3b.html" rel="bookmark" class="title">预测分析：R语言实现导读</a>
					<div>
						前 言 预测分析以及更一般意义上的数据科学当前正处于被追捧的热潮中,因为像垃圾邮件过滤.单词补全和推荐引擎这样的预测性技术已经被广泛运用于日常生活.这些技术现在不仅越来越被我们所熟悉,还赢得了我们的信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq78dGz.html" rel="bookmark" class="title">创想商务11月感恩回馈优惠活动正在进行中</a>
					<div>
						创想商务11月感恩回馈http://www.aliyun.com/zixun/aggregation/11588.html&quot;&gt;优惠活动正在进行中 10月,我们迎来了创想商务NTB2B行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg5LvM.html" rel="bookmark" class="title">《MySQL技术内幕：InnoDB存储引擎第2版》&mdash;&mdash;2&period;8　小结</a>
					<div>
						2.8 小结 本章对InnoDB存储引擎及其体系结构进行了概述,先给出了InnoDB存储引擎的历史.InnoDB存储引擎的体系结构(包括后台线程和内存结构):之后又详细介绍了InnoDB存储引擎的关键 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNna9PM.html" rel="bookmark" class="title">微软发布Windows 8消费者预览版</a>
					<div>
						微软发布Windows 8消费者预览版 2月29日消息,2012年移动世界大会(2012Mobile World  Congress)2月27日-3月1日在西班牙巴塞罗那举行.作为移动通信产业最顶级盛 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9x50kb.html" rel="bookmark" class="title">求书啊、《卡雷尔机器人学Java》《Java语言的科学与艺术》（作者皆为埃里克 罗伯茨）</a>
					<div>
						问题描述 求书啊.&lt;卡雷尔机器人学Java&gt;&lt;Java语言的科学与艺术&gt;(作者皆为埃里克罗伯茨)急用啊,找各大网站都没找到!各位仁兄帮帮忙,有的话发我邮箱455735332@q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkrqDM.html" rel="bookmark" class="title">【求解】KeyListener的问题</a>
					<div>
						问题描述 importjava.awt.*;importjava.awt.event.*;publicclassMark__524implementsActionListener,KeyListene ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1YjWb.html" rel="bookmark" class="title">Web Services使用多态的方法&lowbar;实用技巧</a>
					<div>
						在Web Services方法中,往往使用的都是一个具体类型的参数,这个参数一般就是一个数据对象.ASP.NET Web Services通过声明XmlIncludeAttribute可以实现Web  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
